SlowView Help


Welcome

This Help will introduce you to the program and guide you in case of trouble.

Please use menu to the left to navigate through the system.

Most recent versions of these documents are available at www.slowview.at


Manual Home
What's New
Features
Highlights
Formats
Requirements
Installation
Shortcuts
Command Line
Menus
Contacts
About
License


History

Back on a rainy evening in 1998 there was a guy, who knew very few about programming. He wanted to learn. And a decision was made: he started to write a program, which was a solely for private use and was designed for viewing images. Initially, the program supported only one file type - Windows BMP, and was extremely slow loading this format. That`s how a name 'SlowView' was born. The program was released to the public, but very few people used it. Developing was fun, and the author learned a lot about programming. So he continued working on the program, optimizing speed, and adding more, and more file types. Today, few years later, the program grew big, loading more than 40 filetypes with lighting speed, but still continues to be a freeware, bringing joy to many people around the world!

Niki hasn't worked alone. Along the way numerous people had helped in development. Many of the bugs were weeded out and many new features offered by our loyal users.


Command Line Parameters

Note: These are for advanced users. They are used to automate tasks. SlowView does support relative paths.

Tip: To assign a parameter, right-click on SlowView icon and click Properties. Now add command line parameter to the end of Target line field.

Note: parameters are case-sensetive

-t - starts in Thumbnail mode and loads the current directroy
-t="Directory" - starts in Thumbnail mode and loads the specified directroy
-p - loads the given Image, prints it and exits SV.
-f - starts in Fullscreen mode.
-m - enables the "Always Maximize Mode".
-s="Directory" - Starts a slideshow in the specified Directory

Examples:

Just load an image:
Slowview.exe "SlowView.jpg"

Load an image and print it:
Slowview.exe "SlowView.jpg" -p

Load an image and show it in Fullscreen:
Slowview.exe "SlowView.jpg" -f

Start Thumbnailer with the current Directory:
Slowview.exe -t

Start Thumbnailer with the specified Directory:
Slowview.exe -t="C:\MyPicsForExample"

Start SlideShow in Fullscreen with specified Directory:
Slowview.exe -f -s="C:\MyPicsForExample"

Start SlideShow with relative path:
Slowview.exe -f -s="..\IMAGES\NATURE"


Contact Information

If you have any questions, bug reports, opinions, critique, or wishes, please contact us using the information below.

  • Questions about software direct to:
    Nikolaus Brennig at virtualnik@gmx.net
  • Questions about web site direct to:
    Impulz at impulz@prodigy.net
  • You may look at our Message Board for quick answers to your questions.


SlowView Highlights

Here is what you get:

  • Optimized for loading and displaying Images as fast as possible.
  • Easy to install and uninstall.
  • A built-in ThumbNailer eases organizing your Images.
  • Shows ID3 Taginfo in MP3 files when available.
  • Convert animated GIF into MNG files and static GIF into PNG files on the fly (including transparency support)!.
  • Convert your Images to several other Imageformats.
  • The Thumbnailer automatically caches already created thumbnails.
  • The Catalogcreator lets you scan in whole directorytrees (or even drives) and stores all images found in a SlowView Catalog File (*.svc). And then with just a doubleclick SlowView displays all Thumbs found in that image in the Thumbnailer.
  • A one-step UNDO function.
  • Mousewheel support.
  • Supports well known (e.g: *.jpg) but also very rare (e.g: *.zbr) ImageFormats.
  • As fast as possible your wishes for special Features will get incorporated into SlowView.
  • Many possibilities to easily change the behavior of SlowView.
  • Support for 4, 8, 16, 24 and 32 BitDepth Imagedisplay (automatic Quantization/Dithering if wanted).
  • Using the "FastDirectoryView" you can easily view the next or previous Image in the current directory.
  • The built in SlideShowFunction enables you to go through your Imagelist in different directions, like forward, backward or randomly.
  • Detailed errormessages when loading corrupt Imagefiles.
  • Fullscreenmode
  • Editfunctions: Selectrectangle, copy, cut, paste, paste into selection, resize the selectionrectangle afterwards, etc...
  • Drag'n'Drop support.
  • Customize the Toolbar to fit your needs.
  • Many Imagefunctions like Resize, Effects, Colorfunctions, etc.
  • Different ViewModes
  • Comes with support for many languages like English, German, Hungarian, Czech, French, Italian, Spanish, Japanese, Polish, Portuguese, etc...
  • The whole Program is Freeware ;-)


Supported Formats

File formats SlowView can display and edit.

Extension | Read | Write | Description
AVI/ASF/WMV | yes | no | Windows Video Files
BMP/RLE/DIB | yes | yes | Windows or OS/2 bitmap
CAM | yes | no | Casio CAM format (JPG version)
CUT | yes | no | Dr. Halo
DDS | yes | no | DirectDraw TextureSurfaces
DIVX | yes | no | DivX encoded Movies
DJVU* | yes | yes | AT&T DJVU Image
EMF | yes | no | Enhanced Metafile
EPS | yes | no | Encapsulated Postscript Preview
FPX* | yes | no | Kodak Flashpix Image
GD2 | yes | no | GDLib Image
GIF | yes | yes | Graphics Interchange Format
HRZ | yes | no | SlowScan Television
ICO | yes | no | Windows Icon
IFF/LBM | yes | no | Amiga Interchange File Format
IMG/GEM | yes | no | GEM Raster Image
JBG* | yes | no | JBIG BiLevel Image
JB2* | yes | no | JBIG BiLevel version 2 Image
JPEG 2000 | yes | yes | JPEG 2000
JPG/JIF | yes | yes | JPEG Standard
JNG | yes | no | JPEG Network Graphics
LVP | yes | no | LView Pro Image
MAC | yes | no | MAC Paint
MNG/JNG | yes | yes | Multiple-Image Network Graphics
MOV/QT | yes | no | Apple Quicktime Movie
MPEG/MPG | yes | no | MPEG Movie Files
MP3/MP2/MP1 | yes | no | MPEG Layer x Music Files
MSP | yes | no | MS Paint
OGG* | yes | no | Ogg Vorbis
PBM | yes | no | Portable Bitmap
PCD | yes | no | Kodak PhotoCD
PCX | yes | yes | ZSoft Paintbrush
PGM | yes | yes | Portable Gray Map
PIC | yes | no | SoftImage PIC / Pictor PC Paint
PIX | yes | yes | Alias | Wavefront Image file
PNG | yes | yes | Portable Network Graphics
PPM | yes | yes | Portable Pixel Map
PPP | yes | yes | Punk Productions Picture
PSD | yes | no | Adobe Photoshop Format
PSP | yes | no | Paint Shop Pro Image (Preview)
RAS/SUN | yes | yes | Sun Raster Image
SGI/RGB | yes | yes | SGI Image File
TGA | yes | yes | TrueVision Targa
TIF | yes | yes | Tagged Image File
WAV/MID/AIF | yes | no | Sound/Music Files
WBMP | yes | no | Wireless Bitmap
WMA | yes | no | Windows Media Audio Files
WMF | yes | no | Windows 3.1 / Aldus Placable Metafile
XBM | yes | no | X Bitmap
ZBR | yes | no | Zoner ZBR Preview

*- Additional modules must be downloaded from here.


Installation/Deinstallation

SlowView may be downloaded in 2 variants: zipped for manual installation, or with Setup Wizard for automated installation.

Automated Installation

  • Locate downloaded executable and launch it.
  • Follow the instructions on the screen.
  • Make needed file associations after setup finishes. Put checkmarks to file extensions you want to be handled by SlowView, and click Install/Un-install Filetypes.

Automated Un-installation

  • Un-associate all file extensions before uninstalling program. Navigate to SlowView program group in Start menu and click SlowView Settings. Un-check all checkmarks and click on Install/Un-install Filetypes.
  • Navigate to SlowView program group in Start menu and click Uninstall.

Manual Installation

  • Just unzip the file in the needed directory.
  • If you want to be able to double-click on a filename in Windows Explorer to view it with SlowView, then you must associate the file types to SlowView. You do this by selecting Configuration -> Settings -> Filetypes from the menu, and select the file associations that you want SlowView to open, then click on Install/Un-install Filetypes.

Manual Un-installation

  • Attention: You will have to unassociate filetypes via Options before you uninstall this program! Start SlowView and select Configuration -> Settings -> Filetypes. Unselect All checkmarks and click on Install/Un-install Filetypes.
  • Just delete the SlowView directory


License Agreement

SlowView License
Author: Nikolaus Brennig
Internet: www.slowview.at
Copyright (C) 1998-2002 Nikolaus Brennig.
All Rights Reserved.

ATTENTION: READ CAREFULLY
=========================

Upon installing, copying or otherwise using
SlowView you accept to be bound to the terms
and conditions of this license.

---------------------------------------------
If you do not accept the terms and conditions
found in this license you have to uninstall
and to not use this software "SlowView".
---------------------------------------------

This software "SlowView" is provided "as-is"
without any warranty, either implied or
expressed.

In no event shall the author of this software
"SlowView" be held liable for any data loss,
misconfiguration or any other damage occuring
from the use of this software "SlowView".

You are granted the right to install and use
"SlowView" free of charge on any of your
computersystems.

You are granted the right to make an unlimited
number of copies of this software "SlowView".

You are not allowed to disassemble, decompile
or patch the "slowview.exe" file shipped with
this distribution without prior written
approval by the author of "SlowView".

You are not allowed to alter or change the
contents of the original software archive
"SlowView.exe" and "SlowView.zip" found on
www.slowview.at.

Nikolaus Brennig reserves the right to license
the same software to other individuals or
entities under a different license agreement.


Program Menus

These are descriptions of the most important functions in SlowView.

File Menu

Open: Open the selected image.

Open With: Open the selected image with one of the listed applications. When first choosing a special Application you will need to tell SlowView the directory where it can find the wanted program's executable.

Save: Save the current image in its format. For advanced users only!

Save As: Save the current image. A Dialogbox pops up that lets you choose where to store the image, and in what format.

Reload: Reloads the current image.

Print: Print the current image based on your printer settings. A Dialogbox with different Printingoptions will follow.

Browse: Starts the Browsermode. If already in Browserl mode, it is closed.

Exit: Close the program.

Edit Menu

Undo: Restores the image as it looked before you applied an image manipulation to it.

Copy: Copy the image data to the clipboard.
Paste: Paste the image data from the clipboard, either as a new image, or if you selected an area, then the image is pasted and scaled to fit this area.
Cut: Cut the whole image or selection to the clipboard.
Crop: Crop the whole image or selection and display it. It's basically a Copy and Paste at once.

Refresh: In Browsermode, does regenerate/actualize the filelisting.
Select All: In Browsermode, does select all possible files in the listing

Copy To: Clicking this brings the Copy Image File dialog box. You can copy the file to different locations, or specify a new location. SlowView remembers up to 50 different locations for you. *Note: This function is not the same as the Copy function, above!

Move To: Clicking this brings the Move Image File dialog box. You can move the file to different locations, or specify a new location. SlowView remembers up to 50 different locations for you.

Rename File: Allows you to rename the currently selected file.

Delete File: When you select Delete File, you are prompted if you want to delete the file to the Recycle bin. If you click Yes, the file is placed in the Recycle Bin*. Clicking No cancels the delete. *In Options you can set if Delete File should delete the file to the recycle bin or not, and wheter it should ask for filedeletion or not.

View Menu

Show Toolbar: Toggles the toolbar on or off, where you can reach various features by clicking on the corresponding icon.
Show Status Bar: Toggles the status bar on or off, which displays various information about the current file loaded.

Fit Images: Various forms of fitting images to the view area. Fit to window, Fit only Big images to window, and Show Full Size.

Always Maximize: Various forms of fitting images to the view area.
Show Image As Tile Map: Repeatedly displays the image, filling the screen.

Full Screen: Toggles the view to full screen mode.

Use last window position/Size: Displays window in last saved position. For advanced users only!
Save last window position/Size: Saves window in current position. For advanced users only!

File: Loads and displays the next supported media in the folder.

  • Next: Loads and displays the next media in the folder.
  • Previous: Loads and displays the previous media in the folder.
  • First: Loads and displays the first media in the folder.
  • Last: Loads and displays the last media in the folder.
  • Random: Loads and displays a randomly selected media in the folder.

Video/Media: Change video size, toggle video playbar and Loop Video or Music.
Browser style: Change between Browse, Report and List modes.

Zoom In: Makes the image bigger.
Zoom Out: Makes the image smaller.
Original Size: Displays the image in its original size.
Lock Zoom: Locks current zoom size. This is then too used for other images when you load them.

Start/Stop Slide Show: Starts and stops the slideshow as set up in the Viewer tab of the Options panel. This does not work in Browsermode.

Image Menu

Flip: The displayed image is inverted, top to bottom.
Mirror: The displayed image is mirrored left to right.

Rotate: 90° left: The displayed image is rotated 90° counter-clockwise
Rotate: 90° right: The displayed image is rotated 90° clockwise.

Grayscale: Makes the image black and white.
Invert: Inverts the colors. Clicking this menu item again restores the picture.

Colors:

  • Red Channel displays only the red channel
  • Green Channel displays only the green channel
  • Blue Channel displays only the blue channel
  • Alpha Channel displays the Alpha Channel of an image (if present) either as a single image or adds it to the current one.
  • RGB -> BGR swaps the Red and Blue channels
  • RGB -> GRB swaps the Red and Green channels
  • RGB -> RBG swaps the Green and Blue channels

Color Depth: Converts the current image to 4/8/16 bits by your selection. Clicking the Custom option opens the Quantize/Dither panel, where you can configure these options according to the image color depth.

Effects: Several visual effects you can apply to the actual image.
Resize: Allows you to define the new width and height, along with the scaling filter.

Tools Menu

Batch Conversion: Enables you to convert multiple imagefiles at once into other formats.
Catalog Creator: Enables you to create SlowView Catalog Files (*.svc).
Database Maintenance: Allows for maintaining catalog files of images.
Export RAW Imagedata: Only available when an image is loaded. It does write out the raw imagedata into a file with extension *.raw. For advanced users only.

Set Image as Wallpaper: You can set the current image as the background of your desktop. You can place it centered, tiled or stretched, or you can delete the wallpaper file that SlowView created.

Set Language: You can set the language of your choice, from the available translations.

Options: Please read below:

Tools/Options Menu

Options: When you click on this, a dialog appears with six tabs, which allow you to set some default parameters:

  • Viewer: Appearance, Slideshow, Fullscreen & Edit parameters.
  • Browser: Changes the size of the Thumbnails, enable/disable chaching, etc.
  • Toolbar: Appearance, Skins and Buttons to show, Choose from 4 toolbar styles.
  • Misc: Misc. configuration possibilites.
  • Quantization:Options for 4, 8, 16 bit video display; quantizing/dithering settings.
  • File types: To set/unset file type associations for Slowview.


Features

In spite of its name, SlowView is a fast image viewer, supporting numerous media file types. You can customize the program with the Options menu. It can display media in four modes:

  • SingleView: You can display a supported image format by opening it, apply some effects, resize it, start Slideshows etc.
  • Browser: You can browse the folders of your system; when you click on a small image or filename, SlowView displays it on the left.
  • SlideShow: SlowView will according to the SlideShowoptions display images in the current directory automatically, using a cusotmizable timeintervall between each image.
  • Fullscreen: SlowView paints the whole desktop black, hides all other applications and only shows your image/video.


System Requirements

This is what you need to operate SlowVIew.

Required:

  • Windows 95/NT/98/2000/ME/XP
  • Pentium or compatible
  • 12MB RAM
  • 1MB video memory
  • 2MB free Hard disk space

Recomended:

  • Windows 2000/XP
  • Pentium III/IV or Athlon XP/Duron
  • 256MB RAM
  • 16MB video memory
  • 100MB free Hard disk space
  • 1024x768 or higher Displayresolution
  • 32Bit Displaydepth
  • 100% DirectSound compatible Soundcard
  • 100% DirectDraw compatible Graphicscard
  • DirectX 8.1 (www.microsoft.com/directx)
  • Apple Quicktime 5 or later (www.apple.com/quicktime)
  • Wheelmouse

These are only suggestions. The real system requirements depend highly on what you do with SlowView, like what and how many supported mediafiles you load at once (Thumbnails for example) and so forth.


Keyboard Shortcuts

Function | Hotkey | Menuitem
Actual Size | NUMBLOCK * | View->Actual Size
Zoom In | NUMBLOCK + | View->Zoom In
Zoom Out | NUMBLOCK - | View->Zoom Out
Next Image | PageDn/Space | View->Image->Next
Previous Image | PageUp/Backspace | View->Image->Previous
First Image | Home | View->Image->First
Last Image | End | View->Image->Last
Slideshow | S | View->Start/Stop SlideShow
Delete File | Delete | Edit->Delete File
Delete File to trash always | Delete + SHIFT | -
Browse | Return/Enter | File->Browse
Exit | Escape | File->Exit
Help | F1 | Help->Contents
Rename | F2 | Edit->Rename...
Open | Ctrl+O | File->Open...
Save as | Ctrl+S | File->Save as
Reload | Ctrl+R | File->Reload
Print | Ctrl+P | File->Print
Undo | Ctrl+Z | Edit->Undo
Copy | Ctrl+C | Edit->Copy
Cut | Ctrl+X | Edit->Cut
Paste | Ctrl+V | Edit->Paste
Crop | Ctrl+D | Edit->Crop
Select All | Ctrl+A | Edit->Select All
Fullscreenmode | Ctrl+F | View->Fullscreen
Always Maximize | Ctrl+M | View->Always Maximize Window
TileImage | Ctrl+T | View->Image as Tilemap
Save | Shift+S | File->Save
Copy to | Shift+C | Edit->Copy to...
Move to | Shift+M | Edit->Move to...
Flip | Shift+F | Image->Flip
Mirror | Shift+G | Image->Mirror
Rotate left | Shift+H | Image->Rotate 90°left
Rotate right | Shift+J | Image->Rotate 90°right
Scroll Image | Cursor Keys | -
Scroll slow | Cursor Keys + SHIFT | -
Scroll fast | Cursor Keys + CONTROL | -
Next/Prev Image | Mousewheel | -
ZoomIn/ZoomOut | Mousewheel + CONTROL | -
Stop (Video/Audio) | S |
Play (Video/Audio) | P |


What's New

Additions to the latest version of SlowView.

December 22nd, 2002 - Version 1.0 RC2

  • Highlights:
  • "Dynamic Toolbar" - Instead of disabled (grayed out), buttons are now hidden, like:
  • - when playing mp3file, buttons like "print, zoom in/out" are invisible.
  • - when using effect on image where "undo" is possible, button "undo" appears in toolbar and disappears when "undo" is used to revert image to previous state.
  • Improved tools->slideshow menu to quickly configure a slideshow and start it (from menu and/or toolbar).
  • "Right-Click" menu is now different depending on type of media loaded (audio, video, image) with special commands (Play, Stop, Print, etc).
  • Left mousebutton can now be used to move window when playing video, audio and images (for images only when usual scrolling is not possible).
  • New Installer (NSIS 2.0B0). Size of exefile is smaller + multilanguage. http://nsis.sourceforge.net/
  • Lowlights:
  • Mousecursor automatically hides/shows in fullscreen depending on mouseaction.
  • Added option to change hidden/readonly filestatus in FileInfoDlg.
  • Added option to show hidden files and folders.
  • Added button to browsertoolbar for quick configuration.
  • Added automatic aspectratio change from 1.2/1.4 to 1.3 (4:3) for videos, but its limited to typical resolutions like 352x288 etc.
  • Added Language: Greek.
  • Browser uses defaultfont / no userspecific fontsize anymore.
  • Browser in Reportview sizes columns automatically.
  • Improved DDSLoader (RGB,RGBA).
  • Improved Edit->Show Fileinfo for AVI-Files.
  • Improved Edit->Show Fileinfo for MP3-Files.
  • MP3-Player shows now current position playing in statusbar.
  • Small change in ownerdrawn menudesign.
  • Fixed bug with mp3 trackbar.
  • Fixed bug when directorylist in browser reached maximum entries.
  • Fixed bug leading to crash in browser with avi preview creation.
  • Fixed bug leading to crash in browser with long foldernames.
  • Fixed bug loading invalid iff-file.
  • Fixed bug in CUT/MSP/PPP Load implementation.
  • Fixed bug in JPG2000 Load/Save implementation.
  • Fixed bug moving/deleting multiple files in browser trashing the directorylisting.
  • Fixed bug with windowfocus with option only one instance and/or droping file on window.
  • Fixed bug with short filenames (8.3) on NT4/Win95.
  • Fixed bug looping mp3files.
  • Interfaced with libmng 1.05rc2.
  • Interfaced with libpng 1.2.5.
  • Several bugfixes/changes/improvements.